org.codehaus.groovy.runtime.powerassert

## Class AssertionRenderer

- java.lang.Object
- - org.codehaus.groovy.runtime.powerassert.AssertionRenderer

-     public final class AssertionRenderer
      extends java.lang.Object

  Creates a string representation of an assertion and its recorded values.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `render(java.lang.String text, ValueRecorder recorder)` Creates a string representation of an assertion and its recorded values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### render

          public static java.lang.String render(java.lang.String text,
                                ValueRecorder recorder)

      Creates a string representation of an assertion and its recorded values.
      Parameters:
        `text` - the assertion's source text
        `recorder` - a recorder holding the values recorded during evaluation of the assertion
      Returns:
        a string representation of the assertion and its recorded values